Subject: [stir] Connected identity and messaging

From: "Peterson, Jon" <[email-masked]>
Date: Thu, 5 Nov 2020 16:31:39 +0000

At the last STIR meeting, I mentioned that Chris and I had revised the connected identity (RFC 4916 update) individual draft. There is a new (02) version of that document, and it would be great if we could get a bit of agenda time for it. There are a number of motivating use cases for securing SIP requests in the backwards direction in a dialog, which we're collecting in the document, and we'd like to push for adoption, if there's interest in getting this done.

Chris and I also put out a new draft-peterson-stir-messaging-00 document, as we suggested we might at the last meeting, which talks about the applicability of PASSporTs and STIR-style certificates to textual and multimedia messaging services that use telephone numbers as identifiers. This draft tees up what we see as the scope of the potential effort, the things that will and will not require more effort to get them to work. Take a look if it sounds interesting, comments and welcome, and be great to have some agenda time for this as well at 109.

Jon Peterson
Neustar, Inc.